Skip to content

applyCtaToReportPeriodSeries

WRITE

Apply report-only CTA to the reporting company's configured Equity account.

POST /api/v1/accounting/applyCtaToReportPeriodSeries
curl -X POST '<your-host>/api/v1/accounting/applyCtaToReportPeriodSeries' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "reportingCompanyId": "string",
    "args": {}
  }'
Response
{
  "results": [
    {
      "accountType": "Bank",
      "active": true,
      "class": "Expense",
      "companyGroupId": "string",
      "consolidatedRate": "Average",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "incomeBalance": "Balance Sheet",
      "isGroup": true,
      "isSystem": true,
      "name": "string",
      "number": "string",
      "parentId": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string",
      "periods": {
        "…": {
          "netChange": 0,
          "balanceAtDate": 0,
          "translatedBalance": 0,
          "translatedNetChange": 0,
          "exchangeRate": 0
        }
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "reportingCompanyId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "accounts": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "periods": {
                "type": "object",
                "additionalProperties": {
                  "type": "object",
                  "properties": {
                    "netChange": {
                      "type": "number"
                    },
                    "balanceAtDate": {
                      "type": "number"
                    },
                    "translatedBalance": {
                      "type": "number"
                    },
                    "translatedNetChange": {
                      "type": "number"
                    },
                    "exchangeRate": {
                      "type": "number"
                    }
                  },
                  "required": [
                    "netChange",
                    "balanceAtDate"
                  ]
                }
              }
            },
            "required": [
              "periods"
            ]
          }
        },
        "bucketKeys": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "ctaByBucket": {
          "type": "object",
          "additionalProperties": {
            "type": "number"
          }
        }
      },
      "required": [
        "accounts",
        "bucketKeys",
        "ctaByBucket"
      ]
    }
  },
  "required": [
    "reportingCompanyId",
    "args"
  ]
}